#!/usr/bin/env bash

mesg="NODE_IS_HEALTHY = True"

#  check CVMFS:
for fs in cms.cern.ch/.cvmfsdirtab grid.cern.ch/.cvmfsdirtab sft.cern.ch/lcg/mapfile.txt belle.cern.ch/.cvmfsdirtab belle.cern.ch/tools/b2setup; do
  if ! cat /cvmfs/$fs > /dev/null 2>&1 ; then
      mesg="NODE_IS_HEALTHY = \"cvmfs ${fs%/*} is not mounted\""
  fi
done
for fs in pheno.egi.eu/compilers; do
  if [ ! -d "/cvmfs/$fs" ]; then
      mesg="NODE_IS_HEALTHY = \"cvmfs ${fs%/*} is not mounted\""
  fi
done

echo $mesg
